/** @file
  SystemBoardPpi.h -- Header for SystemBoardPpi

Copyright (c) HR650X BIOS Decompilation Project
**/

#ifndef __SYSTEMBOARDPPI_H__
#define __SYSTEMBOARDPPI_H__

#include "../uefi_headers/Uefi.h"

//
// Function Prototypes
//

EFI_STATUS
EFIAPI
DetectBoardType(
  VOID
);

EFI_STATUS
EFIAPI
DetectBPType(
  VOID
);

EFI_STATUS
EFIAPI
IioGpioRiserConfig(
  VOID
);

EFI_STATUS
EFIAPI
GetPchSku(
  VOID
);

EFI_STATUS
EFIAPI
ConfigureHotPlugSlot(
  VOID
);

EFI_STATUS
EFIAPI
ModuleEntryPoint(
  VOID
);

EFI_STATUS
EFIAPI
LocatePpi(
  VOID
);

EFI_STATUS
EFIAPI
PchPcrRead32(
  VOID
);

#endif /* __SYSTEMBOARDPPI_H__ */